Package org.apache.tapestry5

## Class TapestryFilter

- java.lang.Object
- - org.apache.tapestry5.http.TapestryFilter
  - - org.apache.tapestry5.TapestryFilter

- All Implemented Interfaces:
    `Filter`

      public class TapestryFilter
      extends TapestryFilter

  The TapestryFilter is responsible for intercepting all requests into the web application. It identifies the requests that are relevant to Tapestry, and lets the servlet container handle the rest. It is also responsible for initializing Tapestry. The application is primarily configured via context-level init parameters.
  tapestry.app-package
    The application package (used to search for pages, components, etc.)
  In addition, a JVM system property affects configuration: `tapestry.execution-mode` (with default value "production"). This property is a comma-separated list of execution modes. For each mode, an additional init parameter is checked for: `tapestry.mode-modules`; this is a comma-separated list of module class names to load. In this way, more precise control over the available modules can be obtained which is often needed during testing.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tapestry5.http.TapestryFilter

      `REGISTRY_CONTEXT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TapestryFilter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Class[]` | `provideExtraModuleClasses​(ServletContext context)` | Overridden in subclasses to provide additional module classes beyond those normally located.

    - ### Methods inherited from class org.apache.tapestry5.http.TapestryFilter

      `destroy, destroy, doFilter, getFilterConfig, init, init, provideExtraModuleDefs, runFilter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TapestryFilter

          public TapestryFilter()

  - ### Method Detail

    - #### provideExtraModuleClasses

          protected Class[] provideExtraModuleClasses​(ServletContext context)

      Overridden in subclasses to provide additional module classes beyond those normally located. This implementation returns an empty array.
      Overrides:
        `provideExtraModuleClasses` in class `TapestryFilter`
      Since:
        5.3